> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# dashboard metrics



## OpenAPI

````yaml /openapi.json post /api/v1/project/{id}/dashboard
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/project/{id}/dashboard:
    post:
      tags:
        - Project Route
      summary: dashboard metrics
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HistogramRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDashboardDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    HistogramRequestDto:
      required:
        - from
        - to
        - interval
      type: object
      properties:
        query:
          description: >-
            Query string according to
            https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html
            with Default: auto_generate_synonyms_phrase_query=false,
            fuzzy_max_expansions=0, fuzzy_transpositions=false
          type: string
          example: address:0xdAC17F958D2ee523a2206206994597C13D831ec7
        from:
          format: int64
          description: From milliseconds timestamp for histogram calculation
          minimum: 0
          type: integer
        to:
          format: int64
          description: To milliseconds timestamp for histogram calculation
          minimum: 0
          type: integer
        interval:
          description: 'Interval for histogram buckets calculation. Example: 1h, 3h, 1d, 1M'
          type: string
          example: 1d
        timezone:
          description: 'TimeZone for histogram buckets calculation. Default: UTC'
          type: string
          example: '-01:00'
    ProjectDashboardDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/ProjectContractHistogramDto'
        transactions:
          format: int64
          type: integer
    ProjectContractHistogramDto:
      type: object
      properties:
        contract:
          description: Contract data
          type: object
          allOf:
            - $ref: '#/components/schemas/ContractWithCountDto'
        total:
          description: Total counts of different group of alerts for this contract
          type: object
          additionalProperties:
            format: int64
            type: integer
          example:
            SECURITY: 1
            COMPLIANCE: 2
            action: 3
            trigger: 4
        severity:
          description: Severity related alerts data
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectContractSeverityDto'
        histogram:
          description: Histogram buckets for this request
          type: array
          items:
            $ref: '#/components/schemas/ContractHistogramBucketDto'
    ContractWithCountDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        projectId:
          format: int64
          description: The project ID associated with the extractor contract
          type: integer
        chainUid:
          description: Network uid that associated with extractor contract
          type: string
          allOf:
            - $ref: '#/components/schemas/ChainUid'
        address:
          description: The direct address of the extractor contract
          type: string
        implementation:
          description: >-
            Implementation address associated with the extractor contract, not
            null means this is a proxy contract
          type: string
        name:
          description: Name for the entity
          type: string
        category:
          description: Contract category
          type: string
        tags:
          description: Contract tags
          uniqueItems: true
          type: array
          items:
            type: string
        addressType:
          description: The type of a provided address, could be "Contract" or "Wallet"
          type: string
          allOf:
            - $ref: '#/components/schemas/AddressType'
        amlRequired:
          description: 'If the AML detector required for this contract. Default: false'
          type: boolean
        icon:
          description: A URL of an icon for the contract
          type: string
        count:
          description: Count of different entries associated with the extractor contract
          type: object
          additionalProperties:
            format: int32
            type: integer
          example:
            SECURITY: 1
            COMPLIANCE: 2
            action: 3
            trigger: 4
    ProjectContractSeverityDto:
      type: object
      properties:
        total:
          description: Total counts of different severity of alerts for this contract
          type: object
          additionalProperties:
            format: int64
            type: integer
          example:
            LOW: 1
            HIGH: 3
    ContractHistogramBucketDto:
      type: object
      properties:
        ts:
          format: int64
          description: Timestamp milliseconds for this histogram bucket
          type: integer
        bucket:
          description: Histogram bucket data for different groups of alerts
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ContractHistogramBucketDataDto'
          example:
            SECURITY:
              count: 2
              maxSeverity: CRITICAL
            COMPLIANCE:
              count: 2
              maxSeverity: CRITICAL
            action:
              count: 1
              maxSeverity: HIGH
            trigger:
              count: 1
              maxSeverity: LOW
    ChainUid:
      enum:
        - arbitrum
        - bsc
        - bsc_testnet
        - ethereum
        - linea
        - optimism
        - base
        - base_sepolia
        - gnosis
        - fantom
        - polygon
        - polygon_amoy
        - blast
        - zksync
        - scroll
        - avalanche
        - avalanche_fuji
        - telos
        - sepolia
        - holesky
        - ethereum_sepolia
        - ethereum_holesky
        - tron
        - zeta
        - somnia
        - adi
        - anvil
        - icp
        - vechain
        - stellar
        - bitcoin
        - solana
      type: string
    AddressType:
      enum:
        - CONTRACT
        - WALLET
        - ENTITY
      type: string
    ContractHistogramBucketDataDto:
      type: object
      properties:
        count:
          format: int64
          description: Total count of alerts for this histogram bucket
          type: integer
        maxSeverity:
          description: Max severity level for this histogram bucket
          type: string
          allOf:
            - $ref: '#/components/schemas/SeverityLevel'
    SeverityLevel:
      enum:
        - INFO
        - LOW
        - MEDIUM
        - HIGH
        - CRITICAL
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````